#!/usr/bin/env node
'use strict';


let libPath = '../lib';
const packageName = process.env.PACKAGE_NAME || process.env.npm_package_name;
if (packageName === 'six-widget-buildsupport') {
    libPath = '../src';
}

const runCommand = require(libPath + '/run-command.js').runCommand;
const createMetaVersion = require(libPath+ '/create-meta-version.js').createMetaVersion;
const uglify = require(libPath+'/uglify.js').uglify;
const push_cdn = require(libPath+'/push-cdn.js').push_cdn;
const createNpmignore = require(libPath+'/create-npmignore.js').createNpmignore;
const createBundles = require(libPath+'/create-bundles.js').createBundles;
const generateMarkdownDocumentation = require(libPath + '/generate-docs.js').generateMarkdownDocumentation;

function publish(){
  if(process.env.PUBLISH_NPM === "true"){
    runCommand("npm",['publish']);
  }
  else {
    console.log('PUBLISH_NPM is not set to "true" will not publish to NPM. To fix: export PUBLISH_NPM=true');
  }
}

function babel(){
  runCommand(".bin/babel",['src','--out-dir','build', '--presets', 'es2015,react','--plugins','transform-css-require,transform-object-rest-spread,transform-class-properties'])
}

createBundles();
generateMarkdownDocumentation();
push_cdn();
createMetaVersion();
babel();
uglify();
createNpmignore();
publish();
