#!/usr/bin/env node
'use strict';
const path = require('path');
const fs = require('fs');
const packageObject = JSON.parse(fs.readFileSync('package.json', 'utf8'));
const packageName = process.env.npm_package_name;
let libPath = '../lib';

if (packageName === 'six-widget-buildsupport') {
    libPath = '../src';
}

const runCommand = require(libPath + '/run-command.js').runCommand;
const createMetaVersion = require(libPath + '/create-meta-version.js').createMetaVersion;

createMetaVersion();
runCommand('.bin/eslint', ['-c', '.eslintrc.json', 'src']);
runCommand('.bin/mocha', ['--require', path.join(__dirname, '..', '/mocha-babel.js'), '--recursive', './test', '--require', './test/.setup.js', '--require', 'ignore-styles']);
if (!packageObject.config || !packageObject.config.disablekarma) {
  runCommand('.bin/karma', ['start', path.join(__dirname, '..', '/karma.conf.js')]);
}
